Imports System
Imports System.IO
Imports System.Text

Namespace SampleConvert
	Friend Class sample
		Shared Sub Main(ByVal args() As String)
			Dim r As New SautinSoft.RtfToHtml()
			Dim AppPath As String=System.Environment.CurrentDirectory

			'specify some options
			r.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_401
			r.Encoding = SautinSoft.RtfToHtml.eEncoding.UTF_8

			'specify image options
			r.ImageStyle.ImageFolder = AppPath 'this folder must exist
			r.ImageStyle.ImageSubFolder = "test.files" 'this folder will be created by the component
			r.ImageStyle.ImageFileName = "img" 'template name for images
			r.ImageStyle.IncludeImageInHtml = False 'false - save images on HDD, true - save images inside HTML

			Dim rtfFile As String = Path.GetFullPath("..\..\..\..\..\..\test.rtf")

			'1. Converting test file using black (0,0,0) color for the whole document
			r.TextStyle.FontColor = New SautinSoft.RtfToHtml.CTextStyle.CFontColor()
			r.TextStyle.FontColor.SetRGB(0,0,0) 'All generated document's text will be black

			Dim htmlFile As String = Path.Combine(AppPath,"test-no-color.html") 'the result will be located in the same folder as binary
			Dim i As Integer = r.ConvertFile(rtfFile,htmlFile)
			If i=0 Then
				System.Console.WriteLine("Test file 1 converted successfully!")
				System.Diagnostics.Process.Start(htmlFile)
			Else
				System.Console.WriteLine("Test file 1 conversion failed!")
			End If


			'2. Converting test file without using any font styles
			r.TextStyle.Font= SautinSoft.RtfToHtml.eFont.Disable 'Disable ALL font parameters

			htmlFile = Path.Combine(AppPath,"test-clear-all.html")
			i = r.ConvertFile(rtfFile,htmlFile)
			If i=0 Then
				System.Console.WriteLine("Test file 2 converted successfully!")
				System.Diagnostics.Process.Start(htmlFile)
			Else
				System.Console.WriteLine("Test file 2 conversion failed!")
			End If
		End Sub
	End Class
End Namespace
