Imports System.IO
Imports System.Text

Namespace SampleConvert
	Friend Class sample
		Shared Sub Main(ByVal args() As String)
			Dim r As New SautinSoft.RtfToHtml()
			Dim AppPath As String=System.Environment.CurrentDirectory

			'specify some options
			r.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.XHTML_10
			r.Encoding = SautinSoft.RtfToHtml.eEncoding.UTF_8

			'specify image options
			r.ImageStyle.ImageFolder = AppPath 'this folder must exist
			r.ImageStyle.ImageSubFolder = "test.files" 'this folder will be created by the component
			r.ImageStyle.ImageFileName = "img" 'template name for images
			r.ImageStyle.IncludeImageInHtml = False 'false - save images on HDD, true - save images inside HTML

			r.ImageStyle.ImageNumStart = 101 'considering that we have 100 images in that folder already

			Dim rtfFile As String = Path.GetFullPath("..\..\..\..\..\..\test.rtf")

			'1. Converting test file with absolute image paths
			r.ImageStyle.MakeAbsolutePathToImage = True

			Dim htmlFile As String = Path.Combine(AppPath,"test-absolute.html") 'the result will be located in the same folder as binary

			Dim i As Integer = r.ConvertFile(rtfFile,htmlFile)
			If i=0 Then
				System.Console.WriteLine("Test file 1 converted successfully!")
				System.Diagnostics.Process.Start(htmlFile)
			Else
				System.Console.WriteLine("Test file 1 conversion failed!")
			End If

			'2. Converting test file with images embedded in HTML
			htmlFile = Path.Combine(AppPath,"test-embedded.html")
			r.ImageStyle.IncludeImageInHtml = True

			i = r.ConvertFile(rtfFile,htmlFile)
			If i=0 Then
				System.Console.WriteLine("Test file 2 converted successfully!")
				System.Diagnostics.Process.Start(htmlFile)
			Else
				System.Console.WriteLine("Test file 2 conversion failed!")
			End If

			'3. Converting test file without images
			htmlFile = Path.Combine(AppPath,"test-no-images.html")
			r.ImageStyle.PreserveImages = False

			i = r.ConvertFile(rtfFile,htmlFile)
			If i=0 Then
				System.Console.WriteLine("Test file 3 converted successfully!")
				System.Diagnostics.Process.Start(htmlFile)
			Else
				System.Console.WriteLine("Test file 3 conversion failed!")
			End If
		End Sub
	End Class
End Namespace
